﻿
using System;
using System.Windows;
using System.Windows.Media;
using System.Windows.Input;
using System.Collections.Generic;
using System.Xml.Linq;
using System.IO;
using System.Globalization;
using System.Data;
using System.Collections.ObjectModel;
using MindFusion.Scheduling.Wpf;


namespace EnabledView
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();

			calendar.Theme = ThemeType.Light;

			disabledDates = new ObservableCollection<DateTime>();

			calendar.CellPresenterCreating += (s, e) =>
				{
					e.CellPresenter = new CustomCellPresenter(calendar, disabledDates);
				};

			calendar.ItemCreating += (s, e) =>
				{
					foreach (var date in disabledDates)
					{
						if (e.Item.StartTime <= date && date < e.Item.EndTime)
						{
							e.Confirm = false;
							return;
						}
					}
				};
		}

		private void Button_Click(object sender, RoutedEventArgs e)
		{
			if (!calendar.Selection.IsEmpty)
			{
				var date = calendar.Selection.Ranges[0];
				if (!disabledDates.Contains(date))
					disabledDates.Add(date);
			}
		}


		ObservableCollection<DateTime> disabledDates;
	}
}
